org.wildfly.swarm.transactions

## Class TransactionsFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Transactions<TransactionsFraction>
      - - org.wildfly.swarm.transactions.TransactionsFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<TransactionsFraction>

      public class TransactionsFraction
      extends Transactions<TransactionsFraction>
      implements Fraction<TransactionsFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Transactions

      `Transactions.TransactionsResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionsFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionsFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static TransactionsFraction` | `createDefaultFraction()`
    `int` | `port()`
    `TransactionsFraction` | `port(int port)`
    `int` | `statusPort()`
    `TransactionsFraction` | `statusPort(int statusPort)`

    - ### Methods inherited from class org.wildfly.swarm.config.Transactions

      `addPropertyChangeListener, commitMarkableResource, commitMarkableResource, commitMarkableResource, commitMarkableResource, commitMarkableResources, defaultTimeout, defaultTimeout, enableTsmStatus, enableTsmStatus, getKey, jdbcActionStoreDropTable, jdbcActionStoreDropTable, jdbcActionStoreTablePrefix, jdbcActionStoreTablePrefix, jdbcCommunicationStoreDropTable, jdbcCommunicationStoreDropTable, jdbcCommunicationStoreTablePrefix, jdbcCommunicationStoreTablePrefix, jdbcStateStoreDropTable, jdbcStateStoreDropTable, jdbcStateStoreTablePrefix, jdbcStateStoreTablePrefix, jdbcStoreDatasource, jdbcStoreDatasource, journalStoreEnableAsyncIo, journalStoreEnableAsyncIo, jts, jts, logStore, logStore, logStore, logStore, nodeIdentifier, nodeIdentifier, numberOfAbortedTransactions, numberOfAbortedTransactions, numberOfApplicationRollbacks, numberOfApplicationRollbacks, numberOfCommittedTransactions, numberOfCommittedTransactions, numberOfHeuristics, numberOfHeuristics, numberOfInflightTransactions, numberOfInflightTransactions, numberOfNestedTransactions, numberOfNestedTransactions, numberOfResourceRollbacks, numberOfResourceRollbacks, numberOfTimedOutTransactions, numberOfTimedOutTransactions, numberOfTransactions, numberOfTransactions, objectStorePath, objectStorePath, objectStoreRelativeTo, objectStoreRelativeTo, processIdSocketBinding, processIdSocketBinding, processIdSocketMaxPorts, processIdSocketMaxPorts, processIdUuid, processIdUuid, recoveryListener, recoveryListener, removePropertyChangeListener, socketBinding, socketBinding, statisticsEnabled, statisticsEnabled, statusSocketBinding, statusSocketBinding, subresources, useJdbcStore, useJdbcStore, useJournalStore, useJournalStore`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TransactionsFraction

          public TransactionsFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static TransactionsFraction createDefaultFraction()

    - #### applyDefaults

          public TransactionsFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<TransactionsFraction>`
      Returns:
        this fraction.

    - #### port

          public TransactionsFraction port(int port)

    - #### port

          public int port()

    - #### statusPort

          public TransactionsFraction statusPort(int statusPort)

    - #### statusPort

          public int statusPort()

Copyright © 2018 JBoss by Red Hat. All rights reserved.